* E/print.cmd part of EASY POST 05/14/84 WA
use b:E/data
go top
* Today's date_______________________
store '        ' to today
@ 18,0
@ 18,10 say 'Enter Todays Date'get today pict '##/##/##'
read
set date to &today
@ 13,0
? '  Check to see that you have Paper in the printer'
? '  Set top of Form - Program will Offset 10 spaces'
? '  Program Prints 3 Complete detail Addreses per page'
? 'press <return>when ready. Printer pauses at page end'
wait
* Page Number________________________
store 1 to p
set eject off
set margin to 10
set talk off
set format to print
store Y to printing
do while printing = Y .and. .not. eof
if *
skip
endif
store str(p,3) to Pn
@ 1,1 SAY 'ADDRESS LIST Updated as of: '
@ 1,30 say date()
@ 1,55 SAY 'Page - '
@ 1,62 say &pn
store 5 to L
do E/paddrs
skip
store 26 to L
do E/paddrs
skip
store 47 to L
do E/paddrs
skip
store p+1 to p
eject
store ' ' to stopping
? '<S> to abort'
wait to stopping
if !(stopping)='S'
store N to printing
endif
enddo
release p,pn,L,today
set format to screen
return
* E/print.cmd
ing
if !(stopping)='S'
store N to printing
endif
enddo
